<template>
  <el-dialog
    width="70%"
    title="工艺配置单"
    top="15vh"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    class="process-configuration-sheet-dialog"
  >
    <div>
      <div
        class="batch-node-content-remark"
        v-if="processConfigContentData.modelType == '01'"
      >
        <el-form
          class="batch-configform1"
          :inline="true"
          ref="form"
          label-width="80px"
        >
          <el-form-item label="订单编号">
            {{ processConfigContentData.proNo }}
          </el-form-item>
          <el-form-item label="项目名称">
            {{ processConfigContentData.proName }}
          </el-form-item>
        </el-form>
        生产要求描述：
        <div
          class="batchRemarkHtml"
          v-html="processConfigContentData.remark1"
        ></div>
        印字举例：
        <div
          class="batchRemarkHtml"
          v-html="processConfigContentData.remark2"
        ></div>
        注意：
        <div
          class="batchRemarkHtml"
          v-html="processConfigContentData.remark3"
        ></div>
        备注：
        <div
          class="batchRemarkHtml"
          v-html="processConfigContentData.remark4"
        ></div>
      </div>

      <!--模板2-->
      <div
        class="batch-node-content-remark"
        v-if="processConfigContentData.modelType == '02'"
      >
        <el-form
          class="batch-configform2"
          :inline="true"
          ref="form"
          label-width="100px"
        >
          <div
            class="batch-node-content-remark2"
            style="width: 90%;margin-left: 30px;"
          >
            <el-form-item label="合同编号：" style="width: 100%">
              {{ processConfigContentData.proNo }}
            </el-form-item>
            <el-form-item label="项目名称：" style="width: 100%">
              {{ processConfigContentData.proName }}
            </el-form-item>
            <el-form-item label="印字要求：" style="width: 100%">
              {{ processConfigContentData.printReq }}
            </el-form-item>
            <div
              class="batchRemarkHtml"
              v-html="processConfigContentData.remark1"
            ></div>
            <div
              class="batchRemarkHtml"
              v-html="processConfigContentData.remark2"
            ></div>
            <el-form-item label="实际印字要求：" style="width: 100%">
              {{ processConfigContentData.realPrintReq }}
            </el-form-item>
            <el-row class="batch-bodyrow">
              <el-col :span="5">
                <div class="param-top">
                  <div class="form-item" style="text-align: left">
                    <label>发泡缆芯(Φmm)</label>
                    <div>
                      {{ processConfigContentData.cableCore }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3">
                <div style="text-align: right;padding-right: 20px">
                  护套模具：
                </div>
              </el-col>
              <el-col :span="3">
                <div class="param-top">
                  <div class="form-item">
                    <label>模芯(Φmm)</label>
                    <div>
                      {{ processConfigContentData.modelCore }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3">
                <div class="param-top">
                  <div class="form-item">
                    <label>模套(Φmm)</label>
                    <div>
                      {{ processConfigContentData.modelSleeve }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3"
                ><div class="param-top">
                  <div class="form-item">
                    <label>定径模(Φmm)</label>
                    <div>
                      {{ processConfigContentData.sizingModel }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3"
                ><div class="param-top">
                  <div class="form-item">
                    <label>绞合模(Φmm)</label>
                    <div>
                      {{ processConfigContentData.strandModel }}
                    </div>
                  </div>
                </div>
              </el-col>
            </el-row>
            <div
              class="batchRemarkHtml"
              v-html="processConfigContentData.remark3"
            ></div>
            <el-table
              :data="processConfigContentData.processConfigDataList"
              style="width: 100%;margin-top: 10px"
              border
            >
              <el-table-column prop="date" label="频率(MHz)">
                <template slot-scope="scope">
                  {{ scope.row.frequency }}
                </template>
              </el-table-column>
              <el-table-column prop="name" label="最大传送衰减(dB/km)">
                <template slot-scope="scope">
                  {{ scope.row.deliveryReduce }}
                </template>
              </el-table-column>
              <el-table-column prop="province" label="耦合损耗max(dB),2米,95%">
                <template slot-scope="scope">
                  {{ scope.row.couplingLoss }}
                </template>
              </el-table-column>
            </el-table>
            <el-form-item
              label="工作频带内驻波比："
              style="width: 100%"
              label-width="120px"
            >
              {{ processConfigContentData.workFrequency }}
            </el-form-item>
            <el-form-item
              label="频率范围："
              style="width: 100%"
              label-width="100px"
            >
              {{ processConfigContentData.frequencyRange }}
            </el-form-item>
            <el-form-item
              label="直流电阻："
              style="width: 100%"
              label-width="100px"
            >
              {{ processConfigContentData.resistance }}
            </el-form-item>
            <div
              class="batchRemarkHtml"
              v-html="processConfigContentData.remark4"
            ></div>
          </div>
        </el-form>
      </div>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">关 闭</el-button>
    </div>
  </el-dialog>
</template>
<script>
import { getProcessConfigContent } from '@/api/plan/customerorder'
export default {
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    },
    orderInfo: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      innerVisible: false,
      // 模板1配置单内容
      processConfigContentData: {
        modelType: '01', // 模板类型  01 02
        orderId: '',
        orderNumber: '',
        id: '',
        proNo: '',
        proName: '',
        printReq: '', // 印字要求
        remark1: '',
        remark2: '',
        remark3: '',
        remark4: '',
        realPrintReq: '', // 实际印字要求
        cableCore: '', // 发泡缆芯
        modelCore: '', // 模芯
        modelSleeve: '', // 模套
        sizingModel: '', // 定径模
        strandModel: '', // 过模
        workFrequency: '', // 工作频带内驻波比
        frequencyRange: '', // 频率范围
        resistance: '', // 直流电阻
        processConfigDataList: [] // 附表
      }
    }
  },
  methods: {
    initData() {
      this.processConfigContentData.modelType = '01'
      this.processConfigContentData.orderId = ''
      this.processConfigContentData.orderNumber = ''
      this.processConfigContentData.id = ''
      this.processConfigContentData.proNo = ''
      this.processConfigContentData.proName = ''
      this.processConfigContentData.printReq = ''
      this.processConfigContentData.remark1 = ''
      this.processConfigContentData.remark2 = ''
      this.processConfigContentData.remark3 = ''
      this.processConfigContentData.remark4 = ''
      this.processConfigContentData.realPrintReq = ''
      this.processConfigContentData.cableCore = ''
      this.processConfigContentData.modelCore = ''
      this.processConfigContentData.modelSleeve = ''
      this.processConfigContentData.sizingModel = ''
      this.processConfigContentData.strandModel = ''
      this.processConfigContentData.workFrequency = ''
      this.processConfigContentData.frequencyRange = ''
      this.processConfigContentData.resistance = ''
      this.processConfigContentData.processConfigDataList = []
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.initData()
        this.$nextTick(() => {
          // 根据客户订单号、OTC行号，查询工艺配置单
          getProcessConfigContent({
            orderNo: this.orderInfo.customerOrderNo,
            otcLineNo: this.orderInfo.otcLineNo
          }).then((response) => {
            if (response.data.data != null) {
              this.processConfigContentData = response.data.data
              const processConfigDataList = []
              for (
                let i = 0;
                i < this.processConfigContentData.processConfigDataList.length;
                i++
              ) {
                const d = this.processConfigContentData.processConfigDataList[i]
                if (d.couplingLoss || d.deliveryReduce || d.frequency) {
                  processConfigDataList.push(
                    this.processConfigContentData.processConfigDataList[i]
                  )
                }
              }
              this.processConfigContentData.processConfigDataList = processConfigDataList
            }
          })
        })
      }
    }
  }
}
</script>
<style lang="scss">
.batch-node-content-remark > div {
  /deep/ .quill-editor {
    .ql-container {
      height: 150px;
      overflow: auto;
    }
  }
  //&:last-child {
  //  /deep/ .quill-editor .ql-container {
  //    height: 100px;
  //    overflow: auto;
  //  }
  //}
}

.batch-node-content-remark2 > div {
  /deep/ .quill-editor {
    .ql-container {
      height: 100px;
      overflow: auto;
    }
  }
}
.batch-configform1 {
  .el-input {
    width: 300px;
  }
}
.batch-configform2 {
  /deep/ .el-form-item__content {
    width: 70% !important;
  }
  .el-input {
    width: 100%;
  }
}

.batch-bodyrow {
  border: 1px solid #eeeeee;
  .el-input {
    width: 80%;
  }
  .form-item {
    text-align: center;
  }
}

.batchRemarkHtml {
  min-height: 100px;
  border: 1px solid #eeeeee;
}

.batch-node-content-remark .el-form-item {
  border: 1px solid #eeeeee;
  border-bottom: none;
  margin-bottom: 0px !important;
}
.batch-node-content-remark2 .el-form-item {
  border: 1px solid #eeeeee;
  border-bottom: none;
  margin-bottom: 0px !important;
}
</style>
